\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{arrows,automata, positioning}

\begin{document}
\begin{tikzpicture}[node distance=1cm]
	\tikzstyle{soc}=[fill=red, circle]
	\tikzstyle{eco}=[fill=green, circle]
	\tikzstyle{arrow} = [%
		thick,
		->,
		>=stealth,
		bend angle= 15
	]

	\node[soc] (m1s1) {};
	\node[soc] (m1s2) [right of=m1s1] {};
	\node[eco] (m1e1) [below of=m1s1] {};
	\node[eco] (m1e2) [right of=m1e1] {};
	\path (m1s1) edge [arrow] (m1e1);
	\path (m1s2) edge [arrow] (m1e2);
	\node (m1t1) [below of=m1e1, yshift=0.5cm, xshift=.5cm, align=flush center] {1};
	
	\node[soc] (m2s1) [right of=m1s2, xshift=.25cm] {};
	\node[soc] (m2s2) [right of=m2s1] {};
	\node[eco] (m2e1) [below of=m2s1] {};
	\node[eco] (m2e2) [right of=m2e1] {};
	\path (m2e1) edge [arrow] (m2s1);
	\path (m2s2) edge [arrow] (m2e2);
	\node (m2t1) [below of=m2e1, yshift=0.5cm, xshift=.5cm, align=flush center] {2};
	
	\node[soc] (m3s1) [right of=m2s2, xshift=.25cm] {};
	\node[soc] (m3s2) [right of=m3s1] {};
	\node[eco] (m3e1) [below of=m3s1] {};
	\node[eco] (m3e2) [right of=m3e1] {};
	\path (m3e1) edge [arrow, bend right] (m3s1);
	\path (m3s1) edge [arrow, bend right] (m3e1);
	\path (m3s2) edge [arrow] (m3e2);
	\node (m3t1) [below of=m3e1, yshift=0.5cm, xshift=.5cm, align=flush center] {3};

	\node[soc] (m4s1) [right of=m3s2, xshift=.25cm] {};
	\node[soc] (m4s2) [right of=m4s1] {};
	\node[eco] (m4e1) [below of=m4s1] {};
	\node[eco] (m4e2) [right of=m4e1] {};
	\path (m4e1) edge [arrow] (m4s1);
	\path (m4e2) edge [arrow] (m4s2);
	\node (m4t1) [below of=m4e1, yshift=0.5cm, xshift=.5cm, align=flush center] {4};
	
	\node[soc] (m5s1) [right of=m4s2, xshift=.25cm] {};
	\node[soc] (m5s2) [right of=m5s1] {};
	\node[eco] (m5e1) [below of=m5s1] {};
	\node[eco] (m5e2) [right of=m5e1] {};
	\path (m5e1) edge [arrow, bend right] (m5s1);
	\path (m5s1) edge [arrow, bend right] (m5e1);
	\path (m5e2) edge [arrow] (m5s2);
	\node (m5t1) [below of=m5e1, yshift=0.5cm, xshift=.5cm, align=flush center] {5};

	\node[soc] (m6s1) [right of=m5s2, xshift=.25cm] {};
	\node[soc] (m6s2) [right of=m6s1] {};
	\node[eco] (m6e1) [below of=m6s1] {};
	\node[eco] (m6e2) [right of=m6e1] {};
	\path (m6e1) edge [arrow, bend right] (m6s1);
	\path (m6s1) edge [arrow, bend right] (m6e1);
	\path (m6e2) edge [arrow, bend right] (m6s2);
	\path (m6s2) edge [arrow, bend right] (m6e2);
	\node (m6t1) [below of=m6e1, yshift=0.5cm, xshift=.5cm, align=flush center] {6};

	
    \path (m1e1) edge [arrow, dotted, bend right, draw = gray] (m1e2);
	\path (m1e2) edge [arrow, dotted, bend right, draw = gray] (m1e1);
	\path (m1s1) edge [arrow, dotted, bend right, draw = gray] (m1s2);
	\path (m1s2) edge [arrow, dotted, bend right, draw = gray] (m1s1);

    \path (m2e1) edge [arrow, dotted, bend right, draw = gray] (m2e2);
	\path (m2e2) edge [arrow, dotted, bend right, draw = gray] (m2e1);
	\path (m2s1) edge [arrow, dotted, bend right, draw = gray] (m2s2);
	\path (m2s2) edge [arrow, dotted, bend right, draw = gray] (m2s1);

    \path (m3e1) edge [arrow, dotted, bend right, draw = gray] (m3e2);
	\path (m3e2) edge [arrow, dotted, bend right, draw = gray] (m3e1);
	\path (m3s1) edge [arrow, dotted, bend right, draw = gray] (m3s2);
	\path (m3s2) edge [arrow, dotted, bend right, draw = gray] (m3s1);

    \path (m4e1) edge [arrow, dotted, bend right, draw = gray] (m4e2);
	\path (m4e2) edge [arrow, dotted, bend right, draw = gray] (m4e1);
	\path (m4s1) edge [arrow, dotted, bend right, draw = gray] (m4s2);
	\path (m4s2) edge [arrow, dotted, bend right, draw = gray] (m4s1);

    \path (m5e1) edge [arrow, dotted, bend right, draw = gray] (m5e2);
	\path (m5e2) edge [arrow, dotted, bend right, draw = gray] (m5e1);
	\path (m5s1) edge [arrow, dotted, bend right, draw = gray] (m5s2);
	\path (m5s2) edge [arrow, dotted, bend right, draw = gray] (m5s1);

    \path (m6e1) edge [arrow, dotted, bend right, draw = gray] (m6e2);
	\path (m6e2) edge [arrow, dotted, bend right, draw = gray] (m6e1);
	\path (m6s1) edge [arrow, dotted, bend right, draw = gray] (m6s2);
	\path (m6s2) edge [arrow, dotted, bend right, draw = gray] (m6s1);

\end{tikzpicture}

\end{document}


